package com.ruoyi.post.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
/**
 * @Author HuiANan
 * @Date 2023/1/19 19:19
 * @Exegesis:
 */
public class PostPublisher extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 发行方ID */
    private Long publisherId;

    /** 发行方头像 */
    @Excel(name = "发行方头像")
    private String publisherImage;

    /** 发行方账号 */
    @Excel(name = "发行方账号")
    private String publisherName;

    /** 发行方昵称 */
    @Excel(name = "发行方昵称")
    private String nickName;

    /** 发行方电子邮箱 */
    @Excel(name = "发行方电子邮箱")
    private String publisherEmail;

    /** 发行方联系电话 */
    @Excel(name = "发行方联系电话")
    private String publisherPhonenumber;

    /** 帐号状态（0正常 1停用） */
    @Excel(name = "帐号状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 客户联系地址 */
    @Excel(name = "客户联系地址")
    private String publisherAddress;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setPublisherId(Long publisherId)
    {
        this.publisherId = publisherId;
    }

    public Long getPublisherId()
    {
        return publisherId;
    }
    public void setPublisherImage(String publisherImage)
    {
        this.publisherImage = publisherImage;
    }

    public String getPublisherImage()
    {
        return publisherImage;
    }
    public void setPublisherName(String publisherName)
    {
        this.publisherName = publisherName;
    }

    public String getPublisherName()
    {
        return publisherName;
    }
    public void setNickName(String nickName)
    {
        this.nickName = nickName;
    }

    public String getNickName()
    {
        return nickName;
    }
    public void setPublisherEmail(String publisherEmail)
    {
        this.publisherEmail = publisherEmail;
    }

    public String getPublisherEmail()
    {
        return publisherEmail;
    }
    public void setPublisherPhonenumber(String publisherPhonenumber)
    {
        this.publisherPhonenumber = publisherPhonenumber;
    }

    public String getPublisherPhonenumber()
    {
        return publisherPhonenumber;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setPublisherAddress(String publisherAddress)
    {
        this.publisherAddress = publisherAddress;
    }

    public String getPublisherAddress()
    {
        return publisherAddress;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("publisherId", getPublisherId())
                .append("publisherImage", getPublisherImage())
                .append("publisherName", getPublisherName())
                .append("nickName", getNickName())
                .append("publisherEmail", getPublisherEmail())
                .append("publisherPhonenumber", getPublisherPhonenumber())
                .append("status", getStatus())
                .append("publisherAddress", getPublisherAddress())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}